Support » Plugin: Ultimate TinyMCE » Interaction with WooCommerce

  • I’m having an apparent interaction with the woocommerce plugin. The ultimate tinymce plugin works fine in the visual mode but when I try to use the advanced html editor in a page/post or widget (blackstudio tinymce) I get this error:

    Warning: session_start() [function.session-start]: Cannot send session cache limiter – headers already sent (output started at /home/christia/public_html/allthingswd-test.com/wp-content/plugins/ultimate-tinymce/addons/codemagic/codemagic.php:4) in /home/christia/public_html/allthingswd-test.com/wp-content/plugins/woocommerce/woocommerce.php on line 138

    Please help as I this is a great plugin and I want to keep on using it.

    http://wordpress.org/extend/plugins/ultimate-tinymce/

Viewing 15 replies - 1 through 15 (of 24 total)
  • Plugin Author Josh

    (@josh401)

    Moderator and Editor Customizer

    Hi Daniel,

    I’ve seen this error a few times since the update to WP 3.5. Is the WooCommerce plugin rated for WP 3.5?

    I think you might be able to add this bit of code to the top of your woocommerce.php file:

    <?php session_start() ?>

    Yes woocommerce is rated for WP 3.5. I just got a similar error on a different site that doesn’t have woocommerce installed. The site is a markettheme site and this time I was using FF (first time I was using chrome). The error is:

    Warning: session_start() [function.session-start]: Cannot send session cache limiter – headers already sent (output started at /home/christia/public_html/giftexpressionsonline/wp-content/plugins/ultimate-tinymce/addons/codemagic/codemagic.php:4) in /home/christia/public_html/giftexpressionsonline/wp-content/themes/mk4/functions.php on line 10

    Also when this happens, there is no save or cancel buttons in the html editor. Hope this helps.

    I actually just tried this on another site we have that doesn’t use woocommerce and another similar error. I host with hostgator. Don’t know if there is a connection.

    Plugin Author Josh

    (@josh401)

    Moderator and Editor Customizer

    Okay, can you look at this file:

    wp-content/themes/mk4/functions.php

    and copy line 10… and paste it here for me to see?

    All it is is this:

    session_start();

    That’s the same as it is in wp-content/plugins/woocommerce/woocommerce.php on line 138.

    Plugin Author Josh

    (@josh401)

    Moderator and Editor Customizer

    Okay… try adding:

    <?php session_start() ?>

    to the top of the “ultimate-tinymce/addons/codemagic/codemagic.php” file.

    Make sure it’s entered on the very top line.

    I did and still get the same error.

    Plugin Author Josh

    (@josh401)

    Moderator and Editor Customizer

    Okay.

    Would you mind letting me take a look? I’ve tried to replicate on my test sites… and everything appears to be working fine.

    I have seen this come up before… and I think it has to do with certain plugins and themes… although I haven’t yet concisely identified the problem.

    Perhaps if I can play around with the error… I can find a solution.

    Here is a thread on my forum with a similar issue:
    http://forum.joshlobe.com/showthread.php?tid=1440

    If you don’t mind creating me a temp admin level account… I can test it for myself.

    If that’s cool… you can use my contact form to send the info securely:

    Contact Me

    I’m sorry. I entered the code wrong the first time. I just did it again and it seems to work great now. Thanks for your quick work! I will check this out lon my other sites too and let you know if there are issues.

    Plugin Author Josh

    (@josh401)

    Moderator and Editor Customizer

    Thanks Daniel.

    I’ll continue to look into this from my end. If you notice anything else which appears incorrect… please let me know.

    Thanks again!!

    (Can we mark this as resolved?)

    It worked in 2 sites but I got this error on the 3rd:

    Warning: Cannot modify header information – headers already sent by (output started at /home/christia/public_html/awdol-test.com/wp-content/plugins/ultimate-tinymce/addons/codemagic/codemagic.php:5) in /home/christia/public_html/awdol-test.com/wp-content/plugins/bigcontact/BigContact.php on line 44

    Line 44 is:

    setcookie(‘bigcontact-email-flag’, time(), time() + 3600, COOKIEPATH, COOKIE_DOMAIN, false);

    Let me know if you want me to set up the temp admin.

    Plugin Author Josh

    (@josh401)

    Moderator and Editor Customizer

    Not sure about this one. I’m sure if you deactivated the “bigcontact” plugin… it would work.

    Let me do some “googling” real quick.

    That’s correct. If I deactivate it the error goes away.

    Plugin Author Josh

    (@josh401)

    Moderator and Editor Customizer

    If this is the link to the ‘bigcontact’ plugin (http://wordpress.org/extend/plugins/bigcontact/)… then it’s not yet rated for WP 3.5… and this is probably the issue.

    Is there a reason in particular why you are not updating your WP to 3.5?

    You’re right, it’s not rated for 3.5 although it was just updated a few days ago. Maybe that’s the issue. I am using WP 3.5 on all these sites.

    Plugin Author Josh

    (@josh401)

    Moderator and Editor Customizer

    Hmmm… can you contact that author and see if he plans on releasing an update compatible with WP 3.5?

    If he is… we probably want to wait for that.

    If he is not… then we need to look for other solutions.

Viewing 15 replies - 1 through 15 (of 24 total)
  • The topic ‘Interaction with WooCommerce’ is closed to new replies.